/* BridgeDb,
 * An abstraction layer for identifier mapping services, both local and online.
 *
 * Copyright 2006-2009  BridgeDb developers
 * Copyright 2012-2013  Christian Y. A. Brenninkmeijer
 * Copyright 2012-2013  OpenPhacts
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.bridgedb.uri.ws.client;

import org.bridgedb.uri.ws.WSUriInterface;
import org.bridgedb.uri.ws.WSUriMapper;
import org.bridgedb.utils.BridgeDBException;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Tag;

/**
 *
 * @author Christian
 */
@Tag("webservice")
public class IDMapperTest  extends org.bridgedb.utils.IDMapperTest{
    
    @BeforeAll
    public static void setupIDMapper() throws BridgeDBException {
        connectionOk = false;
        WSUriInterface webService = WsUriClientFactory.createTestWSClient();
        connectionOk = true;
        idMapper = new WSUriMapper(webService);
        capabilities = idMapper.getCapabilities();
    }

}
